| Home | Libraries | People | FAQ | More

#### disjoint

Checks if two geometries are disjoint.

###### Synopsis

    template<typename Geometry1, typename Geometry2>
    bool disjoint(Geometry1 const & geometry1, Geometry2 const & geometry2)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Geometry1 const & | Any type fulfilling a Geometry Concept | geometry1 | A model of the specified concept
Geometry2 const & | Any type fulfilling a Geometry Concept | geometry2 | A model of the specified concept

###### Returns

Returns true if two geometries are disjoint

###### Header

`#include <boost/geometry/algorithms/disjoint.hpp>`